## robocode
Class WinEvent

    java.lang.Object
      robocode.Event
          robocode.WinEvent

All Implemented Interfaces:
  Comparable

public class WinEvent
extends Event

This event is sent to `onWin` when your robot wins the round.

Constructor Summary
`WinEvent()` Called by the game to create a new WinEvent.

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WinEvent

    public WinEvent()

  Called by the game to create a new WinEvent.